QB_IPCS_CREATE(3)

NAME
qb_ipcs_create - Create a new IPC server.

SYNOPSIS
#include <qb/qbipcs.h>

qb_ipcs_service_t * qb_ipcs_create(
    const char                        *name,        /* for clients to connect to. */
    int32_t                            service_id,  /* an integer to associate with the service */
    enum qb_ipc_type                   type,        /* transport type. */
    struct qb_ipcs_service_handlers   *handlers     /* callbacks. */
);

PARAMS
name for clients to connect to.

service_id an integer to associate with the service

type transport type.

handlers callbacks.

DESCRIPTION

STRUCTURES

struct qb_ipcs_service_handlers {

    qb_ipcs_connection_accept_fn     connection_accept;

    qb_ipcs_connection_created_fn    connection_created;

    qb_ipcs_msg_process_fn           msg_process;

    qb_ipcs_connection_closed_fn     connection_closed;

    qb_ipcs_connection_destroyed_fn  connection_destroyed;
};

RETURN VALUE

the new service instance.

SEE ALSO

qb_ipcs_response_send(3), qb_ipcs_ref(3), qb_ipcs_unref(3), qb_ipcs_connection_auth_set(3), qb_ipcs_service_context_get(3), qb_ipcs_connection_ref(3), qb_ipcs_connection_next_get(3), qb_ipcs_stats_get(3), qb_ipcs_connection_unref(3), qb_ipcs_context_set(3), qb_ipcs_poll_handlers_set(3), qb_ipcs_request_rate_limit(3), qb_ipcs_disconnect(3), qb_ipcs_connection_first_get(3), qb_ipcs_enforce_buffer_size(3), qb_ipcs_destroy(3), qb_ipcs_event_send(3), qb_ipcs_connection_stats_get_2(3), qb_ipcs_service_context_set(3), qb_ipcs_connection_stats_get(3), qb_ipcs_service_id_get(3), qb_ipcs_context_get(3), qb_ipcs_connection_get_buffer_size(3), qb_ipcs_run(3), qb_ipcs_event_sendv(3), qb_ipcs_connection_service_context_get(3), qb_ipcs_response_sendv(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.